﻿var markerLayer = null;

function showMarkerOnMap( id, gpsLat, gpsLon )
{
    var vehMap = Map1.GetOpenLayersMap();
      
    if(markerLayer==null)
    {
        try
        {
            markerLayer = new OpenLayers.Layer.Vector("Makers");
        } 
        catch (e)
        {
            alert("Map is initiating.  Please try again!");
            return false;
        }
        vehMap.addLayer(markerLayer);  
    }
      
    iconSize = new OpenLayers.Size(32, 20);
    
    // geometry of the location object    
    var point = new OpenLayers.Geometry.Point(gpsLon, gpsLat); 
   
    var iconFeature = new OpenLayers.Feature.Vector(point);
  
    iconFeature.id = id;
  
    iconFeature.style ={
        graphicXOffset:-iconSize.w,
        graphicYOffset:-iconSize.h,
        graphicWidth:iconSize.w,
        graphicHeight:iconSize.h,
        label: id,
        fontColor:'#0000A0',//dark blue
        fontSize: '12px',
        fontFamily: 'Calibri, monospace', 
        fontWeight:'bold',
        labelAlign: 'lb',
        pointRadius:0
    }
    
  
    markerLayer.addFeatures(iconFeature);
    return true;
      
}

// showVehiclesOnMap()
// Note:  It uses json structure
function showMarkers()
{            
    for(var i=0; i< 1000; i++) 
    {   
        var bool = showMarkerOnMap( i, 49.00+(i*0.05), -123+(i*0.05));
        if (!bool) return;
    }
    alert("Added all markers");
} // End showVehiclesOnMap()